Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.wm
Interface TwoDDataSource

All Known Subinterfaces:
  TableUIDataSource

All Known Implementing Classes:
  SimpleTableUIDataSource, TableUIDataSourceImpl, oracle.jbo.client.wm.TwoDDataSourceImpl, WMTableUIDataSource

public interface TwoDDataSource

Interface for allowing generic code to view a list of objects in tabular format, and also to allow editing of the objects as well as the list. Note: This interface has nothing specific to GUIs, and is suitable for implementation by back-end objects. GUI support for tables is available in TableUIDataSource.

Field Summary
`static int` | `NOT_SORTABLE`
`static int` | `NOT_SORTED`
`static int` | `SORTED_ASCENDING`
`static int` | `SORTED_DESCENDING`
`static int` | `TYPE_BOOLEAN`
`static int` | `TYPE_DATE`
`static int` | `TYPE_ENUM`
`static int` | `TYPE_NUMBER`
`static int` | `TYPE_TEXT`

Method Summary
`void` | `addRows(int howMany)` Adds new rows, with default cell values.
`int` | `getColumnCount()`
`java.lang.String[]` | `getColumnNames()`
`int` | `getColumnSortingStatus(int columnIndex)`
`int` | `getColumnType(int columnIndex)`
`java.lang.Object` | `getDataAt(int rowIndex, int columnIndex)`
`java.text.DateFormat` | `getDateFormat(int columnIndex)` Only called for TYPE_DATE columns.
`java.lang.String[]` | `getEnumValues(int columnIndex)` Only called for TYPE_ENUM columns.
`int` | `getMaximumLength(int columnIndex)` Only called for TYPE_TEXT columns.
`int` | `getRowCount()`
`void` | `insertRowAt(int index)`
`boolean` | `isReadOnly(int rowIndex, int columnIndex)`
`void` | `moveRow(int oldIndex, int newIndex)`
`void` | `removeAllRows()`
`void` | `removeRowAt(int index)`
`void` | `setDataAt(int rowIndex, int columnIndex, java.lang.Object obj)`
`void` | `sort(int columnIndex, boolean ascending)`

Field Detail

### TYPE_TEXT

    public static final int TYPE_TEXT

### TYPE_NUMBER

    public static final int TYPE_NUMBER

### TYPE_DATE

    public static final int TYPE_DATE

### TYPE_BOOLEAN

    public static final int TYPE_BOOLEAN

### TYPE_ENUM

    public static final int TYPE_ENUM

### NOT_SORTABLE

    public static final int NOT_SORTABLE

### NOT_SORTED

    public static final int NOT_SORTED

### SORTED_ASCENDING

    public static final int SORTED_ASCENDING

### SORTED_DESCENDING

    public static final int SORTED_DESCENDING

Method Detail

### getColumnCount

    public int getColumnCount()

### getColumnType

    public int getColumnType(int columnIndex)

### getColumnNames

    public java.lang.String[] getColumnNames()

### getColumnSortingStatus

    public int getColumnSortingStatus(int columnIndex)

### getRowCount

    public int getRowCount()

### getDataAt

    public java.lang.Object getDataAt(int rowIndex,
                                      int columnIndex)

### setDataAt

    public void setDataAt(int rowIndex,
                          int columnIndex,
                          java.lang.Object obj)

### isReadOnly

    public boolean isReadOnly(int rowIndex,
                              int columnIndex)

### addRows

    public void addRows(int howMany)

  Adds new rows, with default cell values. Rows are added to the bottom of the list. Use setDataAt() to set cell values for the new rows.

### insertRowAt

    public void insertRowAt(int index)

### removeRowAt

    public void removeRowAt(int index)

### removeAllRows

    public void removeAllRows()

### moveRow

    public void moveRow(int oldIndex,
                        int newIndex)

### sort

    public void sort(int columnIndex,
                     boolean ascending)

### getMaximumLength

    public int getMaximumLength(int columnIndex)

  Only called for TYPE_TEXT columns.

### getDateFormat

    public java.text.DateFormat getDateFormat(int columnIndex)

  Only called for TYPE_DATE columns.

### getEnumValues

    public java.lang.String[] getEnumValues(int columnIndex)

  Only called for TYPE_ENUM columns.
  Returns:
    list of all possible values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.